GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

Classes | Namespaces | Macros | Functions
gdcmVM.h File Reference

Go to the source code of this file.

## Classes

class | gdcm::VM
| Value Multiplicity Looking at the DICOMV3 dict only there is very few cases: 1 2 3 4 5 6 8 16 24 1-2 1-3 1-8 1-32 1-99 1-n 2-2n 2-n 3-3n 3-n. More...
struct | VMToLength< T >

## Namespaces

namespace | gdcm

## Macros

#define | TYPETOLENGTH(type, length)

## Functions

std::ostream & | gdcm::operator<< (std::ostream &_os, const VM &_val)

## Macro Definition Documentation

#define TYPETOLENGTH | ( |  | type,
|  |  | length
| ) |  |

Value:
template<> struct VMToLength<VM::type> \
{ enum { Length = length }; };